% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i piezometri
% PIEZdef contiene le medie per l'intervallo definito dei valori di
% pressione registrati dal piezometro
% ARRAYdatePL contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [PiezDef,PiezDefT,ARRAYdatePL] = MediaDati_PL(DatiPiez,DatiPiezT,TimePL,NdatiMediaP,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_PL function started';
fprintf(fileID,fmt,text);

%% Piezometro
[r,~]=size(DatiPiez);

ARRAYdatePL = TimePL;
if NdatiMediaP > r
    NdatiMediaP = r;
end
PiezDef = smoothdata(DatiPiez,'gaussian',NdatiMediaP);

%% Termometro
PiezDefT = DatiPiezT;

text = 'Average mean of Piezo Link data executed correctly. MediaDati_PL function ended';
fprintf(fileID,fmt,text);
fclose(fileID);

end